Skip to navigation

List Item Sitemap Settings

Lists the sitemap setting of each item in a collection, from the staged version of the items. The staged version includes changes that aren’t published yet. To read the settings on the live site, use List Live Item Sitemap Settings.

Beta access
These endpoints are available only to workspaces in the sitemap indexing beta. Valid requests from other workspaces return 404.
Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope | cms:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "objectid"
Unique identifier for a Collection

Query parameters

cmsLocaleIdstringOptional

Unique identifier for a CMS Locale. This UID is different from the Site locale identifier and is listed as cmsLocaleId in the Sites response. To query multiple locales, input a comma separated string.

limitintegerOptional

Maximum number of records to be returned (max limit: 100)

offsetintegerOptional
Offset used for pagination if the results have more than limit records

Response

Request was successful
itemslist of objects
The CMS items in the collection. When you request several CMS locales, the list has one entry for each item in each locale.
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error